  <?php get_header(); ?>

	<!--
	  The menu system;
      //-->
    <div id="navcontainer">
      <ul id="navlist">
        <li id="active"><a href="<?php bloginfo('url'); ?>" id="current" title="<?php bloginfo('name'); ?>">Home</a></li>
        <li><a href="<?php echo get_option('siteurl'); ?>/#" title="<?php bloginfo('name'); ?> archives">Archives</a></li>
        <li><a href="<?php bloginfo('rss2_url'); ?>" title="RSS">RSS</a></li>
        <li><a href="mailto:<?php echo antispambot(bloginfo('admin_email')); ?>" title="Contact">Contact</a></li>
		<li><a href="#wp-calendar" title="Calendar">Calendar</a></li>
		<li><?php wp_loginout(); ?></li>
      </ul>
    </div>
	
    <div id="middle">
	  <?php if (have_posts()) { ?>
	  <div id="content" class="content">
		<!--
	      Be sure to keep the id, so we can discount this post later on
		  //-->
		<?php while (have_posts()) : the_post(); 
		      $f_id = $post->ID;
		      require("post.php");
		      endwhile; ?>
			  
	    <div class="navigation">
	      <div class="align-left"><h4><?php next_posts_link('&laquo; Older Entries') ?></h4></div>
		  <div class="align-right"><h4><?php previous_posts_link('Newer Entries &raquo;') ?></h4></div>
	    </div>
		
		<div class="spacer">&nbsp;</div>
	  </div>
	  
	  <!--
	    Here is the first (top) section of the theme, showing our latest post,
		or the reader's preferred category latest post.
		//-->
	  <div id="sidebar">
	    <?php require("sidebar.php"); ?>
	  </div>
	  
	  <div class="spacer">&nbsp;</div>
      <?php } ?> <!-- end have_posts() check //-->
	</div>
		
    <?php get_footer(); ?>