  <?php get_header(); ?>

	<!--
	  The menu system;
      //-->
    <div id="navcontainer">
      <ul id="navlist">
        <li id="active"><a href="<?php bloginfo('url'); ?>" id="current" title="<?php bloginfo('name'); ?>">Home</a></li>
        <li><a href="<?php echo get_option('siteurl'); ?>/#" title="<?php bloginfo('name'); ?> archives">Archives</a></li>
        <li><a href="<?php bloginfo('rss2_url'); ?>" title="RSS">RSS</a></li>
        <li><a href="mailto:<?php echo antispambot(bloginfo('admin_email')); ?>" title="Contact">Contact</a></li>
		<li><?php wp_loginout(); ?></li>
      </ul>
    </div>
	  
    <div id="middle">
	  <!--
	    Here is the first (top) section of the theme, showing our latest post,
		or the reader's preferred category latest post.
		//-->
	  <div id="sidebar">
	    <?php require("sidebar.php"); ?>
	  </div>
	  
	  <?php if (have_posts()) {  ?>
	  <div id="top_content" class="content">
		<!--
	      Be sure to keep the id, so we can discount this post later on
		  //-->
		<?php while (have_posts()) : the_post();
		      require("post.php");
		      endwhile; ?>
	  </div>
	  
	  <div class="spacer">&nbsp;</div>
	</div>
        <?php } ?> <!-- end have_posts() check //-->
		
    <?php get_footer(); ?>